package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import javax.validation.constraints.NotNull;

import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class PasienDaftar
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "Survei_M")

@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })
public class Survei extends BaseMaster {

	public String getGruop() {
		return kelompok;
	}

	public void setGruop(String kelompok) {
		this.kelompok = kelompok;
	}

	public String getDeskripsi() {
		return deskripsi;
	}

	public void setDeskripsi(String deskripsi) {
		this.deskripsi = deskripsi;
	}

	@Column(name = "Kelompok", nullable = false)
	@Caption(value = "Kelompok")
	private String kelompok;

	@Column(name = "Deskripsi", nullable = false)
	@Caption(value = "Deskripsi")
	private String deskripsi;

	@Column(name = "report", nullable = true)
	@Caption(value = "report")
	private String report;
	@Column(name = "question", nullable = false)
	@Caption(value = "Pertanyaan")
	private String question;

	public String getReport() {
		return report;
	}

	public void setReport(String report) {
		this.report = report;
	}

	@Column(name = "subGroup", nullable = true)
	@Caption(value = "SubGroup")
	private String subGroup;

	public String getSubGroup() {
		return subGroup;
	}

	public void setSubGroup(String subGroup) {
		this.subGroup = subGroup;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.survei_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.survei_m_id_seq", sequenceName = "public.survei_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}